Solr 1.3 and JDK1.6

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Solr 1.3 and JDK1.6

vaibhav joshi

Hi

I am using Solr 1.3 ( official released version) and JDk1.5. My company is moving towards upgrading all systems to JDK1.6. is it safe to upgrade to JDK1.6 with Solr 1.3 wars? Are there any compatible issues with JDK1.6?

Thanks
Vaibhav

_________________________________________________________________
Sports, news, fashion and entertainment. Pick it all up in a package called MSN India
http://in.msn.com
ttj
Reply | Threaded
Open this post in threaded view
|

Re: Solr 1.3 and JDK1.6

ttj
Hi,
  I'm running solr 1.3 with java -version java version "1.6..." .
No problem to report.

Cheers.

J

2009/8/12 vaibhav joshi <[hidden email]>:

>
> Hi
>
> I am using Solr 1.3 ( official released version) and JDk1.5. My company is moving towards upgrading all systems to JDK1.6. is it safe to upgrade to JDK1.6 with Solr 1.3 wars? Are there any compatible issues with JDK1.6?
>
> Thanks
> Vaibhav
>
> _________________________________________________________________
> Sports, news, fashion and entertainment. Pick it all up in a package called MSN India
> http://in.msn.com



--
Jerome Eteve.

Chat with me live at http://www.eteve.net

[hidden email]
Reply | Threaded
Open this post in threaded view
|

RE: Solr 1.3 and JDK1.6

Fuad Efendi

Oracle JRockit (Mission Control 1.3) latest-greatest (Java 6), -server, AMD64, SLES 10
Solr 1.3/1.4
Tomcat 6.0.20, APR

No any problem. But you need licensing for production.


JRockit seems to be at least 20 times faster than SUN's JVM.


P.S.
I only had constant problems with latest Apache HttpClient & JRockit 6 & even SUN Java 6 - but in different (standalone) application, HTTP hangs... it works in Java 5, but hangs in Java 6. Strange that Hadoop doesn't have any... native I/O?





2009/8/12 vaibhav joshi <[hidden email]>:

>
> Hi
>
> I am using Solr 1.3 ( official released version) and JDk1.5. My company is moving towards upgrading all systems to JDK1.6. is it safe to upgrade to JDK1.6 with Solr 1.3 wars? Are there any compatible issues with JDK1.6?
>
> Thanks
> Vaibhav
>
> _________________________________________________________________
> Sports, news, fashion and entertainment. Pick it all up in a package called MSN India
> http://in.msn.com



--
Jerome Eteve.

Chat with me live at http://www.eteve.net

[hidden email]


Reply | Threaded
Open this post in threaded view
|

RE: Solr 1.3 and JDK1.6

Manepalli, Kalyan
In reply to this post by vaibhav joshi
We have been using solr 1.3 with jdk1.6 for quite sometime in production, no issues yet

Thanks,
Kalyan Manepalli

-----Original Message-----
From: vaibhav joshi [mailto:[hidden email]]
Sent: Wednesday, August 12, 2009 1:21 PM
To: [hidden email]
Subject: Solr 1.3 and JDK1.6


Hi

I am using Solr 1.3 ( official released version) and JDk1.5. My company is moving towards upgrading all systems to JDK1.6. is it safe to upgrade to JDK1.6 with Solr 1.3 wars? Are there any compatible issues with JDK1.6?

Thanks
Vaibhav

_________________________________________________________________
Sports, news, fashion and entertainment. Pick it all up in a package called MSN India
http://in.msn.com